/*///////////////////////////////////////////////////////////////////////////*/
/* ERROR_Dialog_ErrorInformations dialog*/
/*///////////////////////////////////////////////////////////////////////////*/
#ifndef _ERROR_DIALOG_
#define _ERROR_DIALOG_
 
#if _MSC_VER >= 1000
#pragma once
#endif /* _MSC_VER >= 1000*/
 
/****************************************/
#ifndef CPA_EXPORT
#if defined(CPA_WANTS_IMPORT)
#define CPA_EXPORT __declspec(dllimport)
#elif defined(CPA_WANTS_EXPORT)
#define CPA_EXPORT __declspec(dllexport)
#else
#define CPA_EXPORT
#endif
#endif
/****************************************/
 
#define ERO_C_NUMBER_OF_BITMAPS	8
 
#include "ErO\Ero_Stat.hpp"
 
/*############################################################################*/
 
class CPA_EXPORT ERROR_Dialog_ErrorInformations : public CDialog
{
/* Construction*/
public:
	ERROR_Dialog_ErrorInformations();
	
	~ERROR_Dialog_ErrorInformations();
 
public:
/* Dialog Data*/
	/*{{AFX_DATA(ERROR_Dialog_ErrorInformations)*/
/*	enum { IDD = IDD_DIALOG_ERROR };*/
	ErO_StaticForMoreInfos	m_clMIS_Script;
	ErO_StaticForMoreInfos	m_clMIS_Module;
	ErO_StaticForMoreInfos	m_clMIS_Debug;
	ErO_StaticForMoreInfos	m_clMIS_Additionnal;
	ErO_StaticForMoreInfos	m_clMIS_Action;
	/*}}AFX_DATA*/
 
private:
	HINSTANCE m_hOldInstance;
 
	CString m_csCurrentAction;
	CString m_csErrorMoreInfo;
	CString m_csCurrentFileName;
	CString m_csFunction;
	CString m_csCurrentScriptFileName;
	CString m_csErrorGravity;
 
	CBitmap m_cbBitmap;
	CBitmap m_a_cbArrayOfBitmaps[ERO_C_NUMBER_OF_BITMAPS];
 
/* Overrides*/
	/* ClassWizard generated virtual function overrides*/
	/*{{AFX_VIRTUAL(ERROR_Dialog_ErrorInformations)*/
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    /* DDX/DDV support*/
	/*}}AFX_VIRTUAL*/
 
/* Implementation*/
protected:
 
private:
	void m_fn_vSetModuleText(CString csTextToDisplay = "");
	void m_fn_vSetCurrentActionText(CString csTextToDisplay = "");
	void m_fn_vSetCurrentFileNameText(CString csTextToDisplay = "");
	void m_fn_vSetFunctionText(CString csTextToDisplay = "");
	void m_fn_vSetCurrentScriptFileNameText(CString csTextToDisplay = "");
	void m_fn_vSetErrorGravityText(CString csTextToDisplay = "");
	void m_fn_vSetErrorMoreInfoText(CString csTextToDisplay = "");
 
	CString m_pri_fn_csExtractFileNameFromCompletePath(CString _csCompletePath);
	void m_pri_fn_vSetTextToFitWindow(CWnd *_pclWnd, CString _csTextToDisplay);
 
	/* Generated message map functions*/
	/*{{AFX_MSG(ERROR_Dialog_ErrorInformations)*/
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonOpenScript();
	afx_msg void OnButtonOpenSource();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClose();
	/*}}AFX_MSG*/
 
 
	DECLARE_MESSAGE_MAP()
};
 
/*{{AFX_INSERT_LOCATION}}*/
/* Microsoft Developer Studio will insert additional declarations immediately before the previous line.*/
 
#endif /*_ERROR_DIALOG_*/
